Subject: Re: new way of writing defconfigs for freescale's powerpc platforms

From: Scott Wood <[email-masked]>
Date: Thu, 16 Apr 2015 13:39:15 -0500

On Thu, 2015-04-16 at 00:44 -0400, Bob Cochran wrote:
> As you probably know, Freescale makes use of the Yocto Project build 
> system for its SDK and submits patches to the SDK at a public 
> meta-fsl-ppc repo at http://git.yoctoproject.org/cgit/cgit.cgi/meta-fsl-ppc/
> 
> I have seen some kernel related patches in the past come across the 
> Yocto Project site that made use of the Yocto Project kernel tools, 
> which includes a process for maintaining kernel configuration fragments. 
>   It sounds like the requirements you have could be met with Yocto's 
> existing process.
> 
> I was hoping to see Freescale continue to move in the direction of using 
> the Yocto kernel tools rather than roll its own solution.
> 
> The Yocto kernel tools make use of description files (*.scc) and 
> configuration fragments (*.cfg).

We do use Yocto for our SDK, but there's always going to be a need to be
able to build kernels outside of Yocto.  The kernel should be
self-contained regarding its own configuration.

merge_config.sh isn't "rolling our own solution". It's a standard kernel
tool.  x86 already has a couple config fragments defined.

-Scott